Bug 736118 - kernel-devel hardlink is not needed if only one kernel-devel is installed
Summary: kernel-devel hardlink is not needed if only one kernel-devel is installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hardlink
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 18:31 UTC by Bruce Jerrick
Modified: 2013-07-02 23:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 15:04:37 UTC


Attachments (Terms of Use)

Description Bruce Jerrick 2011-09-06 18:31:16 UTC
Description of problem:
The hardlink done by the postinstall scriptlet of kernel-devel is not
needed if only one kernel-devel is installed.  That's certainly the
case during OS installation, and the hardlink is just a waste of time.

Version-Release number of selected component (if applicable):
kernel-devel-3.1.0-0.rc3.git0.0.fc16.i686
and at least as far back as F14 core (kernel-devel-2.6.35.6-45.fc14).

How reproducible:
Always, if these conditions are met:
  hardlink is installed before kernel-devel
  Only one kernel-devel is installed
  HARDLINK is not disabled (i.e., != no) in /etc/sysconfig/kernel

Steps to Reproduce:
Examine `rpm -q --scripts kernel-devel`:
If there's only one /usr/src/kernels/*.fc*.*, the two args to hardlink
are the same file:
    hardlink -c /usr/src/kernels/*.fc*.*/$f $f

Additional info:
A fix that uses sh only is to prepend the find...while code with a
count and test of /usr/src/kernels/*.fc*.* matches.
In kernel.spec this would be:

  (cd /usr/src/kernels/%{KVERREL}%{?1:.%{1}} &&\
   set /usr/src/kernels/*.fc*.* && [ $# -gt 1 ] &&\	### <<< added line
   /usr/bin/find . -type f | while read f; do\
     hardlink -c /usr/src/kernels/*.fc*.*/$f $f\
   done)\

Comment 1 Josh Boyer 2011-11-04 16:32:27 UTC
Really, hardlink should probably just exit if it is passed two identical arguments.  Let's reassign to hardlink for now.

Comment 2 Fedora End Of Life 2013-01-16 14:05:32 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 15:04:40 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.